log4cplus::helpers::IConnectorThreadClient Class Referenceabstract

Interface implemented by users of ConnectorThread. More...

`#include <connectorthread.h>`

Inheritance diagram for log4cplus::helpers::IConnectorThreadClient:
[legend]

## Protected Member Functions

virtual | ~IConnectorThreadClient ()
virtual thread::Mutex const & | ctcGetAccessMutex () const =0
virtual helpers::Socket & | ctcGetSocket ()=0
virtual helpers::Socket | ctcConnect ()=0
virtual void | ctcSetConnected ()=0
| Sets connected flag to true in ConnectorThread's client.

## Friends

class LOG4CPLUS_EXPORT | ConnectorThread

## Detailed Description

Interface implemented by users of ConnectorThread.

Definition at line 47 of file connectorthread.h.

## Constructor & Destructor Documentation

## ~IConnectorThreadClient()

virtual log4cplus::helpers::IConnectorThreadClient::~IConnectorThreadClient | ( |  | ) |

protected virtual

## Member Function Documentation

## ctcConnect()

virtual helpers::Socket log4cplus::helpers::IConnectorThreadClient::ctcConnect | ( |  | ) |

protected pure virtual

Returns
  ConnectorThread client's function returning connected socket.

Implemented in log4cplus::SocketAppender, and log4cplus::SysLogAppender.

## ctcGetAccessMutex()

virtual thread::Mutex const & log4cplus::helpers::IConnectorThreadClient::ctcGetAccessMutex | ( |  | ) | const

protected pure virtual

Returns
  Mutex for synchronization between ConnectorThread and its client object. This is usually SharedObject::access_mutex.

Implemented in log4cplus::SocketAppender, and log4cplus::SysLogAppender.

## ctcGetSocket()

virtual helpers::Socket & log4cplus::helpers::IConnectorThreadClient::ctcGetSocket | ( |  | ) |

protected pure virtual

Returns
  Socket variable in ConnectorThread client to maintain.

Implemented in log4cplus::SocketAppender, and log4cplus::SysLogAppender.

## ctcSetConnected()

virtual void log4cplus::helpers::IConnectorThreadClient::ctcSetConnected | ( |  | ) |

protected pure virtual

Sets connected flag to true in ConnectorThread's client.

Implemented in log4cplus::SocketAppender, and log4cplus::SysLogAppender.

## Friends And Related Symbol Documentation

## ConnectorThread

friend class LOG4CPLUS_EXPORT ConnectorThread

friend

Definition at line 66 of file connectorthread.h.

References ConnectorThread, and LOG4CPLUS_EXPORT.

Referenced by ConnectorThread.

The documentation for this class was generated from the following file:

- connectorthread.h